Deepin Italia

Versione completa: installazione nvidia-legacy-340xx-driver
Al momento stai visualizzando i contenuti in una versione ridotta. Visualizza la versione completa e formattata.
Ho installato Deepin 15.7 su un vecchio Sony Vaio All-in-One (21" 1920x1080) con scheda Nvidia GT218M (GeForce 310M). Purtroppo l'ultimo driver nvidia proposto non va e con il Nouveau è inutilizzabile (ho dovuto inserire l'opzione "nomodset" su GRUB per vedere almeno il desktop, ma la risoluzione disponibile è una tragica 1024x768 con le prestazioni che potete immaginare). Sulle vecchie versioni di deepin (fino alla 15.6) risolvevo egregiamente installando il pacchetto nvidia-legacy.
Con l'attuale versione 15.7 invece installando con  sudo apt-get install nvidia-legacy-340xx-driver
ottengo il seguente errore:
Citazione:Alcuni pacchetti non possono essere installati. Questo può voler dire che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:
I seguenti pacchetti hanno dipendenze non soddisfatte:
 nvidia-legacy-340xx-driver : Dipende: xserver-xorg-video-nvidia-legacy-340xx (= 340.106-2) ma non sta per essere installato
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.

Ho già inviato un Deepin User Feedback, ma nel frattempo se qualcuno di voi ha un idea.....
Purtroppo non sono riuscito a trovare una soluzione tramite gli strumenti di Deepin, ma la buona notizia è che sono riuscito ad installare i driver originali nvidia scaricati dal sito (ultima versione 340.107 per le schede legacy). Funziona tutto perfettamente, ho perso però l'utilizzo delle console testuali (videata nera quando si prova ad andare su CTRL+ALT+F2,F3,F4 ecc.…); ma questo è un bug noto per molte vecchie schede nvidia che succedeva anche prima con i pacchetti driver di Deepin. In attesa di rinnovare un po' l'hardware sopravviverò…...
(09-07-2018, 02:58 PM)proceno72 Ha scritto: [ -> ]Purtroppo non sono riuscito a trovare una soluzione tramite gli strumenti di Deepin, ma la buona notizia è che sono riuscito ad installare i driver originali nvidia scaricati dal sito (ultima versione 340.107 per le schede legacy). Funziona tutto perfettamente, ho perso però l'utilizzo delle console testuali (videata nera quando si prova ad andare su CTRL+ALT+F2,F3,F4 ecc.…); ma questo è un bug noto per molte vecchie schede nvidia che succedeva anche prima con i pacchetti driver di Deepin. In attesa di rinnovare un po' l'hardware sopravviverò…...

Ciao, potrei chiederti di preciso come hai fatto su Deepin? Io ho scaricato i divers, ma se provo ad installarli da terminale, mi dice di spegnere X server e, anche da console testuale appena killo X server non riesco più a fare nulla perché non ho più output video. Grazie.
(09-07-2018, 02:58 PM)proceno72 Ha scritto: [ -> ]Purtroppo non sono riuscito a trovare una soluzione tramite gli strumenti di Deepin, ma la buona notizia è che sono riuscito ad installare i driver originali nvidia scaricati dal sito (ultima versione 340.107 per le schede legacy). Funziona tutto perfettamente, ho perso però l'utilizzo delle console testuali (videata nera quando si prova ad andare su CTRL+ALT+F2,F3,F4 ecc.…); ma questo è un bug noto per molte vecchie schede nvidia che succedeva anche prima con i pacchetti driver di Deepin. In attesa di rinnovare un po' l'hardware sopravviverò…...

Ciao, vorrei installare anch’io i driver legacy 340.107 che ho scaricato direttamente dal sito Nvidia. Sto usando l’ultima versione di Deepin 15.9.2 su un MacBook 7.1, potresti per cortesia aiutarmi?